Ryzom - Feature # 464

Status: Closed Priority: Low

Author: kervala Category: NeL: General
Created: 03/31/2009 Assignee: kervala
Updated: 09/30/2010 Due date:

Subiject: Support 64bits compilation under Windows

Description

Most code is compiling under Visual C++ with a 64 bits compiler but assembler keyword __asm is not recognized anymore and some
Win32 API types are different in 64 bits.

This feature must add a x64 platform in NeL projects and fix compilation problems.

We could optimize missing asm code later (with external .asm files or intrinsics).

History

#1 - 04/03/2009 11:23 am - vl
- Status changed from New to Validated
- Assignee set to kervala

#2 - 04/03/2009 11:23 am - kervala
- Status changed from Validated to Assigned

#3 - 04/07/2009 08:45 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1288.

#4 - 05/19/2009 04:19 pm - kervala

- Status changed from Resolved to Closed

#5 - 09/29/2010 09:29 pm - kervala

- Project changed from NeL to Ryzom

- Category changed from Build to Build
- Target version deleted (Version 0.7.0)

#6 - 09/30/2010 02:39 pm - kervala

- Category changed from Build to NeL: General
- Target version set to Version 0.7.0
